Update one or multiple product reviews: status, reply, etc.
http
POST https://services.leadconnectorhq.com/products/reviews/bulk-updateAuthorization
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer token generated from the Leadway portal. See Authentication. | |
Version | string | Yes | 2021-07-28 | API version. |
Body
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
altId | string | Yes | 6578278e879ad2646715ba9c | Account Id or Agency Id |
altType | string | Yes | Possible values: 'account' |
reviews(object[], required): Array of Product ReviewsreviewId(string, required): Review Id Example:6578278e879ad2646715ba9cproductId(string, required): Product Id Example:6578278e879ad2646715ba9dstoreId(string, required): Store Id Example:a1b2c3d4e5f6g7h8i9j0k1l2
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
status | object | Yes | approved | Status of the review |
Responses
201 - Successful response
status(boolean, required): Status of api action Example:Truemessage(string): Success message Example:Successfully created
json
{
"status": true,
"message": "Successfully created"
}400 - Bad Request
json
{}422 - Unprocessable Entity
json
{}Example
curl -X POST 'https://services.leadconnectorhq.com/products/reviews/bulk-update' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28' \
-H 'Content-Type: application/json' \
-d '{
"altId": "6578278e879ad2646715ba9c",
"altType": "account",
"reviews": [
{
"reviewId": "6578278e879ad2646715ba9c",
"productId": "6578278e879ad2646715ba9d",
"storeId": "a1b2c3d4e5f6g7h8i9j0k1l2"
}
],
"status": "approved"
}'const response = await fetch('https://services.leadconnectorhq.com/products/reviews/bulk-update', {
method: 'POST',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
'Content-Type': 'application/json',
},
body: JSON.stringify({"altId": "6578278e879ad2646715ba9c", "altType": "account", "reviews": [{"reviewId": "6578278e879ad2646715ba9c", "productId": "6578278e879ad2646715ba9d", "storeId": "a1b2c3d4e5f6g7h8i9j0k1l2"}], "status": "approved"}),
});
const data = await response.json();import os, requests
response = requests.request(
'POST',
'https://services.leadconnectorhq.com/products/reviews/bulk-update',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
'Content-Type': 'application/json',
},
json={"altId": "6578278e879ad2646715ba9c", "altType": "account", "reviews": [{"reviewId": "6578278e879ad2646715ba9c", "productId": "6578278e879ad2646715ba9d", "storeId": "a1b2c3d4e5f6g7h8i9j0k1l2"}], "status": "approved"},
)
data = response.json()<?php
$ch = curl_init('https://services.leadconnectorhq.com/products/reviews/bulk-update');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => json_encode({'altId': '6578278e879ad2646715ba9c', 'altType': 'account', 'reviews': [{'reviewId': '6578278e879ad2646715ba9c', 'productId': '6578278e879ad2646715ba9d', 'storeId': 'a1b2c3d4e5f6g7h8i9j0k1l2'}], 'status': 'approved'}),
]);
$data = json_decode(curl_exec($ch), true);